org.apache.cassandra.utils

## Interface IMergeIterator<In,Out>

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, CloseableIterator<Out>, java.util.Iterator<Out>

All Known Implementing Classes:
  MergeIterator

    public interface IMergeIterator<In,Out>
    extends CloseableIterator<Out>

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Iterable<? extends java.util.Iterator<In>>` `iterators()`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### iterators

    java.lang.Iterable<? extends java.util.Iterator<In>> iterators()